#include <windows.h>
#include <windowsx.h>
#include <commctrl.h>
#include <string.h>
#include "cleartopres.h"

/* prototype for the dialog box function. */
static BOOL CALLBACK DialogFunc(HWND hwndDlg, UINT msg, WPARAM wParam, LPARAM lParam);

int APIENTRY WinMain(HINSTANCE hinst, HINSTANCE hinstPrev, LPSTR lpCmdLine, int nCmdShow)
{
	WNDCLASS wc;

	memset(&wc,0,sizeof(wc));
	wc.lpfnWndProc = DefDlgProc;
	wc.cbWndExtra = DLGWINDOWEXTRA;
	wc.hInstance = hinst;
	wc.hCursor = LoadCursor(NULL, IDC_ARROW);
	wc.hbrBackground = (HBRUSH) (COLOR_WINDOW + 1);
	wc.lpszClassName = "cleartop";
	RegisterClass(&wc);

	return DialogBox(hinst, MAKEINTRESOURCE(IDD_MAINDIALOG), NULL, (DLGPROC) DialogFunc);

}


static BOOL CALLBACK DialogFunc(HWND hwndDlg, UINT msg, WPARAM wParam, LPARAM lParam)
{

	static HWND hWndLV = NULL;

	switch (msg) {

	case WM_INITDIALOG:
		{
			HWND hwndProgMan = FindWindow("ProgMan", NULL);
			HWND hwndShellDef = FindWindowEx(hwndProgMan, NULL, "SHELLDLL_DefView", NULL);
			hWndLV = FindWindowEx(hwndShellDef, NULL, "SysListView32", NULL);
		}

		return TRUE;

	case WM_COMMAND:
		switch (LOWORD(wParam)) {

			case ID_CLEAR :

				ShowWindow(hWndLV, SW_HIDE);

				break;

			case ID_RESTORE :

				ShowWindow(hWndLV, SW_SHOW);

				break;

			case IDOK:
				EndDialog(hwndDlg,1);
				return 1;
			case IDCANCEL:
				EndDialog(hwndDlg,0);
				return 1;
		}
		break;

	case WM_CLOSE:
		EndDialog(hwndDlg,0);
		return TRUE;

	}
	return FALSE;
}
